﻿body {

}
.disable {
    opacity: 0.6;
    pointer-events: none;
    cursor: none;
}

.enable {
    cursor: pointer;
    opacity: 1;
    pointer-events: auto
}


/* تمييز العنصر النشط */
.nav-link.active {
    color: var(--bs-primary) !important; /* تلوين النص بلون الهوية الأساسي */
    color: var(--bs-emphasis-color) !important;
    font-weight: 700; /* تسميك الخط قليلاً */
    position: relative;

   // background-color:red;
}

    /* إضافة خط سفلي "أنيميشن" تحت العنصر النشط فقط */
    .nav-link.active::after {
        content: "";
        position: absolute;
        bottom: 0;
        left: 10%;
        width: 80%;
        height: 1px;
        background-color: var(--bs-emphasis-color);
        border-radius:10px;

        
        
        }


.cursor-pointer{
    cursor:pointer;
}

.no-select {
  user-select: none; /* Standard syntax */
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10+ and Edge */
  
}
/* إضافة كلاس مخصص يتماشى مع معاييرك */
.bg-blur {
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    /*background-color: rgba(255, 255, 255, 0.4);*/ /* تعتيم خفيف مع لون خلفية لضمان ظهور التأثير */
}

